<?php 

if($_POST['auth']){
	$login = $this->escape($_POST['login']);
	$password = $this->escape($_POST['password']);
	$remember = $_POST['remember'];

	if(!empty($login) && !empty($password)){
		if($this->auth($login, $password)){
			exit('<meta http-equiv="refresh" content="0; url=/?auth">');
		} else {
			$error = "Логин или пароль введены неверно!";
		}
	} else {
		$error = 'Логин или пароль введены неверно!';
	}
}

$this->view(array("theme/login"), array("error" => $error)); 